---
title: Image()
slug: Web/API/HTMLImageElement/Image
tags:
  - API
  - Constructor
  - DOM
  - HTML
  - HTML DOM
  - HTMLImageElement
  - Image()
  - Reference
  - img
---
<div>{{APIRef("HTML DOM")}}</div>

<p class="summary"><span class="seoSummary">The <strong><code>Image()</code></strong> constructor creates a new {{DOMxRef("HTMLImageElement")}} instance. It is functionally equivalent to {{DOMxRef("Document.createElement()", "document.createElement('img')")}}.</span></p>

<div class="notecard note">
<p><strong>Disambiguation:</strong> <a href="/en-US/docs/Web/CSS/imagefunction"><code>image()</code>, the CSS function notation</a>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>htmlImageElement</var> = new Image(<em>width</em>, <em>height</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>width</code></dt>
 <dd>The width of the image (i.e., the value for the {{HTMLAttrxRef("width", "img")}} attribute).</dd>
 <dt><code>height</code></dt>
 <dd>The height of the image (i.e., the value for the {{HTMLAttrxRef("height", "img")}} attribute).</dd>
</dl>

<h2 id="Usage_note">Usage note</h2>

<p>The entire bitmap is loaded regardless of the sizes specified in the constructor. The size specified in the constructor is reflected through the properties {{DOMxRef("HTMLImageElement.width")}} and {{DOMxRef("HTMLImageElement.height")}} of the resulting instance. The intrinsic width and height of the image in CSS pixels are reflected through the properties {{DOMxRef("HTMLImageElement.naturalWidth")}} and {{DOMxRef("HTMLImageElement.naturalHeight")}}. If no size is specified in the constructor both pairs of properties have the same values.</p>

<h2 id="Examples"><span style="line-height: 1.572;">Examples</span></h2>

<pre class="brush: js">var myImage = new Image(100, 200);
myImage.src = 'picture.jpg';
document.body.appendChild(myImage);</pre>

<p>This would be the equivalent of defining the following HTML tag inside the {{HTMLElement("body")}}:</p>

<pre class="brush: html">&lt;img width="100" height="200" src="picture.jpg"&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("HTML WHATWG", "embedded-content.html#dom-image", "Image()")}}</td>
   <td>{{spec2("HTML WHATWG")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLImageElement.Image")}}</p>
